1. Registrations
Tahdah API
  • Introduction
  • Webhooks
  • Unresolved schema mappings
  • TrustGroups
    • About Trust Groups
    • Endpoints
      • List Trust Groups
      • Create a Trust Group
      • Update Trust Group
      • List Trust Group Legal Entity Members
      • List Trust Group Candidate Members
      • Add Trust Group Member
      • Remove Trust Group Member
    • Member Updated
  • EventCredits
    • Add Credits to Legal Entity
    • Event Credits Updated
  • Tracker
    • About Tracker
    • Get Candidate Targets
    • Get Legal Entity Targets
  • Pathways
    • About Pathways
    • Registrations
      • About Registrations
      • Get Registrations
        GET
      • Create Registations
        POST
      • Registration Created
    • Get Legal Entity Pathways
      GET
    • Get Pathway
      GET
  • DigitalBadges
    • Issue Digital Badge
    • Get Badge Templates
  • LegalEntities
    • People/Staff
      • Legal Entity People List
      • Connect a Person to a Legal Entity
      • Person Added
      • Roles Updated
    • Legal Entity Details
    • Create Legal Entity
    • Legal Entity Created
  • Candidates
    • EndPoints
      • Create Candidate
      • Update a Candidate
      • Delete Candidate
      • Add/Remove tags to a candidate
    • Webhooks
  • Catalogues
    • Catalogue Entry Published
  • Finance
    • Ledger Entry Created
  • Schemas
    • Inbound
    • Events
      • EventTemplateCreditRequest
      • EventTemplateCredit
    • Catalogue
      • CatalogueEntry
    • Finance
      • Currency
      • InvoiceItem
      • PaymentItem
      • LedgerEntry
      • InvoiceAddress
      • Entity
    • LearningExperiences
      • LearningExperienceRef
      • PathwayTypeRef
    • Candidate
      • CandidateRef
    • LegalEntities
      • RoleRef
      • LegalEntity
      • legalEntityIdentifier
    • TrustGroupMember
    • TrustGroup
    • temp
    • Candidate
    • HATEOAS Link
  1. Registrations

Create Registations

New Genergy Live
https://api.tahdah.me
New Genergy Live
https://api.tahdah.me
POST
/api/learningexperiences/legalentities/{legalentityid}/experiences/{experienceid}/registrations
Registers one or more learners on a learning experience using the tahdah candidate id. Before registering you need to call the create candidate endpoint to create the learner and get their id.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Example
{
    "candidateIds": [
        {
            "candidateId": 212233,
            "behavior": 2,
            "registrationDate": "2025-09-03"
        },
        {
            "candidateId": 4211124,
            "behavior": 1,
            "registrationDate": "2024-09-10"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.tahdah.me/api/learningexperiences/legalentities//experiences//registrations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "candidateIds": [
        {
            "candidateId": 212233,
            "behavior": 2,
            "registrationDate": "2025-09-03"
        },
        {
            "candidateId": 4211124,
            "behavior": 1,
            "registrationDate": "2024-09-10"
        }
    ]
}'

Responses

🟢200Success
application/json
Body

Example
[
    {
        "candidateId": "string",
        "candidateExperienceId": "string",
        "registrationDate": "string"
    }
]
Modified at 2026-03-11 10:19:50
Previous
Get Registrations
Next
Registration Created
Built with